using System;
using Server;

namespace Server.Items
{
	[Furniture]
	public class CratePlain : BaseContainer
	{
		[Constructable]
		public CratePlain() : base( 0x1A7F )
		{
			Weight = 1.0;
			Name = "crate";
			Hue = 0x49E;
		}

		public CratePlain( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class CrateCarpenter : BaseContainer
	{
		[Constructable]
		public CrateCarpenter() : base( 0x1A80 )
		{
			Weight = 1.0;
			Name = "crate";
			Hue = 0x49E;
		}

		public CrateCarpenter( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class CrateJewels : BaseContainer
	{
		[Constructable]
		public CrateJewels() : base( 0x1A81 )
		{
			Weight = 1.0;
			Name = "crate";
			Hue = 0x49E;
		}

		public CrateJewels( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class CrateWizard : BaseContainer
	{
		[Constructable]
		public CrateWizard() : base( 0x1A84 )
		{
			Weight = 1.0;
			Name = "crate";
			Hue = 0x49E;
		}

		public CrateWizard( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class CrateSmithing : BaseContainer
	{
		[Constructable]
		public CrateSmithing() : base( 0x1A85 )
		{
			Weight = 1.0;
			Name = "crate";
			Hue = 0x49E;
		}

		public CrateSmithing( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class CrateProvisions : BaseContainer
	{
		[Constructable]
		public CrateProvisions() : base( 0x1A89 )
		{
			Weight = 1.0;
			Name = "crate";
			Hue = 0x49E;
		}

		public CrateProvisions( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class CrateTailor : BaseContainer
	{
		[Constructable]
		public CrateTailor() : base( 0x1A8A )
		{
			Weight = 1.0;
			Name = "crate";
			Hue = 0x49E;
		}

		public CrateTailor( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class CrateMaps : BaseContainer
	{
		[Constructable]
		public CrateMaps() : base( 0x1A8C )
		{
			Weight = 1.0;
			Name = "crate";
			Hue = 0x49E;
		}

		public CrateMaps( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class CrateSailing : BaseContainer
	{
		[Constructable]
		public CrateSailing() : base( 0x1A8D )
		{
			Weight = 1.0;
			Name = "crate";
			Hue = 0x49E;
		}

		public CrateSailing( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class CrateInn : BaseContainer
	{
		[Constructable]
		public CrateInn() : base( 0x1A8E )
		{
			Weight = 1.0;
			Name = "crate";
			Hue = 0x49E;
		}

		public CrateInn( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class CrateArms : BaseContainer
	{
		[Constructable]
		public CrateArms() : base( 0x1A8F )
		{
			Weight = 1.0;
			Name = "crate";
			Hue = 0x49E;
		}

		public CrateArms( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class CrateStable : BaseContainer
	{
		[Constructable]
		public CrateStable() : base( 0x1A90 )
		{
			Weight = 1.0;
			Name = "crate";
			Hue = 0x49E;
		}

		public CrateStable( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class CrateFletcher : BaseContainer
	{
		[Constructable]
		public CrateFletcher() : base( 0x1A91 )
		{
			Weight = 1.0;
			Name = "crate";
			Hue = 0x49E;
		}

		public CrateFletcher( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class CrateMeat : BaseContainer
	{
		[Constructable]
		public CrateMeat() : base( 0x1A97 )
		{
			Weight = 1.0;
			Name = "crate";
			Hue = 0x49E;
		}

		public CrateMeat( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class CrateTinker : BaseContainer
	{
		[Constructable]
		public CrateTinker() : base( 0x1A98 )
		{
			Weight = 1.0;
			Name = "crate";
			Hue = 0x49E;
		}

		public CrateTinker( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class CratePotions : BaseContainer
	{
		[Constructable]
		public CratePotions() : base( 0x1AA3 )
		{
			Weight = 1.0;
			Name = "crate";
			Hue = 0x49E;
		}

		public CratePotions( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class CrateFood : BaseContainer
	{
		[Constructable]
		public CrateFood() : base( 0x1AEE )
		{
			Weight = 1.0;
			Name = "crate";
			Hue = 0x49E;
		}

		public CrateFood( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class CrateGold : BaseContainer
	{
		[Constructable]
		public CrateGold() : base( 0x1AEF )
		{
			Weight = 1.0;
			Name = "crate";
			Hue = 0x49E;
		}

		public CrateGold( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class CrateBard : BaseContainer
	{
		[Constructable]
		public CrateBard() : base( 0x1AF0 )
		{
			Weight = 1.0;
			Name = "crate";
			Hue = 0x49E;
		}

		public CrateBard( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class CrateWax : BaseContainer
	{
		[Constructable]
		public CrateWax() : base( 0x1AF1 )
		{
			Weight = 1.0;
			Name = "crate";
			Hue = 0x49E;
		}

		public CrateWax( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class CrateBooks : BaseContainer
	{
		[Constructable]
		public CrateBooks() : base( 0x1AF2 )
		{
			Weight = 1.0;
			Name = "crate";
			Hue = 0x49E;
		}

		public CrateBooks( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class CrateBows : BaseContainer
	{
		[Constructable]
		public CrateBows() : base( 0x1AFC )
		{
			Weight = 1.0;
			Name = "crate";
			Hue = 0x49E;
		}

		public CrateBows( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class CrateHealer : BaseContainer
	{
		[Constructable]
		public CrateHealer() : base( 0x1AFD )
		{
			Weight = 1.0;
			Name = "crate";
			Hue = 0x49E;
		}

		public CrateHealer( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	[Furniture]
	public class CrateTavern : BaseContainer
	{
		[Constructable]
		public CrateTavern() : base( 0x1AFE )
		{
			Weight = 1.0;
			Name = "crate";
			Hue = 0x49E;
		}

		public CrateTavern( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}